Subject: bug#7130: 24.0.50; EPA queries twice and doesn't cache passwords when decrypting files

From: Tassilo Horn <[email-masked]>
Date: Fri, 1 Oct 2010 12:14:38 +0200

On Friday 01 October 2010 04:52:08 Daiki Ueno wrote:

> >> $ mkdir -p /tmp/test && cd /tmp/test
> >> $ gpg --symmetric > dot-test.gpg < /dev/null
> >> $ git init
> >> $ git add dot-test.gpg
> >
> > $ git commit -m test
> >
> >> $ cd .. && ln -s test/dot-test.gpg .test.gpg
> >> $ emacs -Q
> >> $ M-: (setq epa-file-cache-passphrase-for-symmetric-encryption t)
> >> $ C-x C-f .test.gpg
> >
> > Without having the file committed, emacs won't query you if it
> > should follow a symlink to a git version controlled file, and that
> > seems to trigger the bug.
> 
> Well that is my typo.  Even if I commit the file, I'm asked for
> password only once, while I'm actually asked if emacs should follow a
> symlink, and I answer "yes".

That's strange...  After finding the file, should the file/password be
listed in `epa-file-passphrase-alist'?  Here, it isn't...

> The contents of *Message* are:
> 
> --8<---------------cut here---------------start------------->8---
> For information about GNU Emacs and the GNU system, type C-h C-a.
> t
> /tmp/.test.gpg: 0% (0/39)
> /tmp/.test.gpg: 100% (39/39)
> Loading vc-git...done
> /tmp/test/dot-test.g: 0% (0/39)
> /tmp/test/dot-test.g: 100% (39/39)
> Followed link to /tmp/test/dot-test.gpg
> --8<---------------cut here---------------end--------------->8---

Mine are identical:

--8<---------------cut here---------------start------------->8---
For information about GNU Emacs and the GNU system, type C-h C-a.
t
/tmp/.test.gpg: 0% (0/39)
/tmp/.test.gpg: 100% (39/39)
Loading vc-git...done
/tmp/test/dot-test.g: 0% (0/39)
/tmp/test/dot-test.g: 100% (39/39)
Followed link to /tmp/test/dot-test.gpg
--8<---------------cut here---------------end--------------->8---

> Could you provide other hints (GnuPG version, etc)?

I use gnupg-2.0.16, and there's also gpgme-1.3.0 installed, if that has
something to do with it.

I don't have any clue what additional info may be helpful...

Bye,
Tassilo